diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
index f57be2b..fbfc11d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
@@ -16,7 +16,7 @@ from pgadmin.utils.ajax import make_json_response, \
     make_response as ajax_response, internal_server_error, gone
 from pgadmin.browser.utils import PGChildNodeView
 from pgadmin.browser.collection import CollectionNodeModule
-import pgadmin.browser.server_groups.servers.databases.schemas as schemas
+import pgadmin.browser.server_groups.servers.databases as databases
 from pgadmin.utils.ajax import precondition_required
 from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
@@ -66,7 +66,7 @@ class DomainModule(SchemaChildModule):
         Load the module script for domain, when schema node is
         initialized.
         """
-        return schemas.SchemaModule.NODE_TYPE
+        return databases.DatabaseModule.NODE_TYPE


 blueprint = DomainModule(__name__)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
index b969b2d..d1cec86 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
@@ -21,7 +21,7 @@ from pgadmin.utils.ajax import make_json_response, \
     make_response as ajax_response, internal_server_error, gone
 from pgadmin.browser.utils import PGChildNodeView
 from pgadmin.browser.collection import CollectionNodeModule
-import pgadmin.browser.server_groups.servers.databases.schemas as schemas
+import pgadmin.browser.server_groups.servers.databases as databases
 from pgadmin.utils.ajax import precondition_required
 from pgadmin.browser.server_groups.servers.databases.schemas.utils import \
     SchemaChildModule, DataTypeReader
@@ -80,7 +80,7 @@ class ForeignTableModule(SchemaChildModule):
         Load the module script for foreign table, when the
         schema node is initialized.
         """
-        return schemas.SchemaModule.NODE_TYPE
+        return databases.DatabaseModule.NODE_TYPE


 blueprint = ForeignTableModule(__name__)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
index ed78181..44b49c9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
@@ -17,7 +17,7 @@ from pgadmin.utils.ajax import make_json_response, \
 from pgadmin.browser.utils import PGChildNodeView
 from pgadmin.browser.server_groups.servers.databases.schemas.utils \
     import SchemaChildModule
-import pgadmin.browser.server_groups.servers.databases.schemas as schemas
+import pgadmin.browser.server_groups.servers.databases as databases
 from pgadmin.utils.ajax import precondition_required
 from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
@@ -79,7 +79,7 @@ class FtsConfigurationModule(SchemaChildModule):
         Load the module script for fts template, when any of the schema
         node is initialized.
         """
-        return schemas.SchemaModule.NODE_TYPE
+        return databases.DatabaseModule.NODE_TYPE

 blueprint = FtsConfigurationModule(__name__)

diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
index 6c8c06d..0dbdb81 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
@@ -17,7 +17,7 @@ from pgadmin.utils.ajax import make_json_response, \
 from pgadmin.browser.utils import PGChildNodeView
 from pgadmin.browser.server_groups.servers.databases.schemas.utils \
     import SchemaChildModule
-import pgadmin.browser.server_groups.servers.databases.schemas as schemas
+import pgadmin.browser.server_groups.servers.databases as databases
 from pgadmin.utils.ajax import precondition_required
 from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
@@ -78,7 +78,7 @@ class FtsDictionaryModule(SchemaChildModule):
         Load the module script for fts template, when any of the schema
         node is initialized.
         """
-        return schemas.SchemaModule.NODE_TYPE
+        return databases.DatabaseModule.NODE_TYPE


 blueprint = FtsDictionaryModule(__name__)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
index fc4645a..410b87a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
@@ -22,7 +22,7 @@ from pgadmin.utils.ajax import make_json_response, \
     make_response as ajax_response, internal_server_error, gone
 from pgadmin.browser.utils import PGChildNodeView
 from pgadmin.browser.collection import CollectionNodeModule
-import pgadmin.browser.server_groups.servers.databases.schemas as schemas
+import pgadmin.browser.server_groups.servers.databases as databases
 from pgadmin.utils.ajax import precondition_required
 from pgadmin.utils.driver import get_driver
 from pgadmin.browser.server_groups.servers.utils import parse_priv_from_db, \
@@ -95,7 +95,7 @@ class FunctionModule(SchemaChildModule):
         Load the module script for Functions, when the
         schema node is initialized.
         """
-        return schemas.SchemaModule.NODE_TYPE
+        return databases.DatabaseModule.NODE_TYPE

     @property
     def csssnippets(self):
@@ -1351,9 +1351,9 @@ class ProcedureModule(SchemaChildModule):
     def script_load(self):
         """
         Load the module script for Procedures, when the
-        schema node is initialized.
+        database node is initialized.
         """
-        return schemas.SchemaModule.NODE_TYPE
+        return databases.DatabaseModule.NODE_TYPE


 procedure_blueprint = ProcedureModule(__name__)
@@ -1463,7 +1463,7 @@ class TriggerFunctionModule(SchemaChildModule):
         Load the module script for Trigger function, when the
         schema node is initialized.
         """
-        return schemas.SchemaModule.NODE_TYPE
+        return databases.DatabaseModule.NODE_TYPE


 trigger_function_blueprint = TriggerFunctionModule(__name__)
